GetSubscription
Retrieves information about a Subscription.
Request Syntax
GET /domains/domainId/subscriptions/subscriptionId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- domainId
-
The unique identifier of the parent Domain.
Length Constraints: Minimum length of 20. Maximum length of 25.
Pattern:
(hai-|dom-)[a-z0-9]+Required: Yes
- subscriptionId
-
The unique identifier of the Subscription.
Length Constraints: Fixed length of 25.
Pattern:
sub-[a-zA-Z0-9]{21}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"subscription": {
"activatedAt": number,
"arn": "string",
"createdAt": number,
"deactivatedAt": number,
"domainId": "string",
"lastUpdatedAt": number,
"status": "string",
"subscriptionId": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- subscription
-
Type: SubscriptionDescription object
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
This error is thrown when the client does not supply proper credentials to the API.
HTTP Status Code: 401
- InternalServerException
-
This error is thrown when a transient error causes our API to fail.
HTTP Status Code: 500
- ResourceNotFoundException
-
This error is thrown when the requested resource is not found.
HTTP Status Code: 404
- ValidationException
-
This error is thrown when the client supplies invalid input to the API.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: